m4_divert(-1)
#-----------------------------------------------------------------------------
#
#  base.m4  --  base macros for web engine
#
#  Copyright (C) 2005,2006   Josef Kufner  <jk@myserver.cz>
#  
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  
#-----------------------------------------------------------------------------

m4_include(`config.m4')


#-----------------------------------------------------------------------------
# m4_require_file: zaradi soubor k uploadu
# arg: 1. filename
#-----------------------------------------------------------------------------
m4_define(`m4_require_file', `m4_errprint(`RequireFile:$1
')m4_dnl
m4_ifdef(`m4_files_footer', `', `m4_define(`m4_files_footer', `m4_divert(6)
</ul>')m4_dnl
m4_divert(6)<h2>Soubory v tto kapitole</h2>
<ul>
')m4_divert(6)<li><a href="$1">$1</a>m4_divert(9)')


#-----------------------------------------------------------------------------
# m4_menu_item: polozka menu navigace
# arg: 1. url
#      2. label
#-----------------------------------------------------------------------------
# m4_define(`m4_page_prev_url', `')
# m4_define(`m4_page_prev_title', `')
# m4_define(`m4_page_curr_url', `')
# m4_define(`m4_page_curr_title', `')
# m4_define(`m4_page_next_url', `')
# m4_define(`m4_page_next_title', `')
# m4_define(`m4_page_nav_complete', `')

m4_define(`m4_menu_item', `m4_dnl
m4_ifdef(`m4_page_curr_url', `m4_ifdef(`m4_page_next_url',
	`', `m4_define(`m4_page_next_url', `$1')m4_define(`m4_page_next_title', `$2')')
')m4_dnl
m4_ifdef(`m4_page_curr_url', `', 
`m4_ifelse(m4_this_page_title, $2, 
	`m4_define(`m4_page_curr_url', `$1')m4_define(`m4_page_curr_title', `$2')',
	`m4_define(`m4_page_prev_url', `$1')m4_define(`m4_page_prev_title', `$2')')m4_dnl
')m4_dnl
<li><a href="$1">$2</a>')


#-----------------------------------------------------------------------------
# m4_submenu_begin: zacatek submenu
# arg: none
#-----------------------------------------------------------------------------
m4_define(`m4_submenu_begin', `<ul>')


#-----------------------------------------------------------------------------
# m4_submenu_end: konec submenu
# arg: none
#-----------------------------------------------------------------------------
m4_define(`m4_submenu_end', `</ul>')


#-----------------------------------------------------------------------------
# m4_menu: vlozi menu
# arg: none
#-----------------------------------------------------------------------------
m4_define(`m4_menu', `<ul>
m4_include(`menu.m4')</ul>
')

#-----------------------------------------------------------------------------
# m4_page_prev: odkaz na predchozi stranku
# arg: 1. text before
#      2. text after
#      3. text if there is no previous page
#      4. tag A option
#-----------------------------------------------------------------------------
m4_define(`m4_page_prev', `m4_ifdef(`m4_page_prev_url',
	`$1`'<a href="m4_page_prev_url"$4>m4_page_prev_title</a>$2',`$3')')


#-----------------------------------------------------------------------------
# m4_page_next: odkaz na nasledujici stranku
# arg: 1. text before
#      2. text after
#      3. text if there is no next page
#      4. tag A option
#-----------------------------------------------------------------------------
m4_define(`m4_page_next', `m4_ifdef(`m4_page_next_url',
	`$1`'<a href="m4_page_next_url"$4>m4_page_next_title</a>$2',`$3')')


#-----------------------------------------------------------------------------
# m4_page_begin: hlavicka html
# arg: 1. titulek
#-----------------------------------------------------------------------------
m4_define(`m4_page_begin', `m4_define(`m4_this_page_title', `$1')m4_dnl
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
		"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<title>$1 - m4_main_title</title>
	<link rel="stylesheet" href="style.css" type="text/css" title="Default">
</head>
<body>

<h1>m4_main_title</h1>
m4_divert(6)<div class=navigation>
<h2>Obsah</h2>
m4_menu`'m4_divert(9)
</div>
m4_divert(5)
<div class=top>
<div class=next>m4_page_next(`<span>Nsledujc kapitola: </span>', `', `&nbsp;', ` accesskey=n')</div>
<div class=prev>m4_page_prev(`<span>Pedchoz kapitola: </span>', `', `&nbsp', `accesskey=p')</div>
</div>
m4_divert(9)

<div class=text>
<h2>$1</h2>
')


#-----------------------------------------------------------------------------
# m4_page_end: konec html
# arg: none
#-----------------------------------------------------------------------------
m4_define(`m4_page_end', `
m4_ifdef(`m4_files_footer', `m4_divert(6)`'m4_files_footer`'m4_divert(9)', `')
</div>
<div class=foot>
<hr>
<div class=next>m4_page_next(`<span>Nsledujc kapitola: </span>', `', `&nbsp;', `')</div>
<div class=prev>m4_page_prev(`<span>Pedchoz kapitola: </span>', `', `&nbsp', `')</div>
</div>
</body>
</html>
')


#-----------------------------------------------------------------------------
# vim:filetype=htmlm4:
m4_divert`'m4_dnl
